# ArchLabs Installer

#### Features
- LUKS/LVM
- Basic setup
- Auto partition
- Package selection
- Error detection
- Written in Bash
- Fast Install _(~6min)_

#### Requirements

- Network connection.
- `parted` for partition creation.
- `rsync` for unpacking the squashfs.
- `dialog` for all user input/output.
- `vim` for editing files post install.
- `curl` for network check and mirrorlist download
- `arch-chroot` to perform operations in a chroot.
- `chpasswd` to set root and user passwords.
- `coreutils`


#### Manual Installation
```
sh -c "$(curl -fsSL https://bitbucket.org/archlabslinux/installer/raw/master/install.sh)"
```

- A packaged version can also be found in our repos:
[stable](https://bitbucket.org/archlabslinux/archlabs_repo/src/master/x86_64/)
[unstable](https://bitbucket.org/archlabslinux/archlabs_unstable/src/master/x86_64/)

